Subject: Re: [straw] Alvaro Retana's No Objection on draft-ietf-straw-b2bua-rtcp-15: (with COMMENT)

From: Lorenzo Miniero <[email-masked]>
Date: Thu, 1 Dec 2016 09:41:39 +0100

On Tue, 29 Nov 2016 11:25:41 -0800
"Alvaro Retana" <[email-masked]> wrote:

> Alvaro Retana has entered the following ballot position for
> draft-ietf-straw-b2bua-rtcp-15: No Objection
> 
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut
> this introductory paragraph, however.)
> 
> 
> Please refer to
> https://www.ietf.org/iesg/statement/discuss-criteria.html for more
> information about IESG DISCUSS and COMMENT positions.
> 
> 
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-straw-b2bua-rtcp/
> 
> 

Hi Alvaro,

thanks for reviewing the document! Responses inline.

> 
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
> 
> [1] As I understand it, a Media-Aware Relay is an instance of a
> RTP/RTCP translator.  I'm wondering whether the behavior in 3.2
> can/should be more broadly applied to other types of translators, and
> not just to a media-aware B2BUA.   ??   [Disclaimer:  I am out of my
> depth here...]
> 

The scope of the WG is disciplining the behaviour of B2BUAs, mostly, so
that's why the document is focused on those topologies in particular.

> [2] The guidelines in 3.2 have a normative "MUST" attached to them:
> "...a media-aware B2BUA MUST handle incoming RTCP messages to forward
> following this guideline".  However, some of the references are not
> Normative.  I assume that (as with the guidelines related to RFC3550)
> the text in 3.2 represents a behavior beyond what is described in the
> references, which implies to me that those references should be
> Normative.  The solution seems simple: move rfc3611, rfc5104, etc. to
> be Normative references...but I-D.alvestrand-rmcat-remb is also
> referenced, which not only expired 3 years ago, but it is marked as
> Experimental.  Can the expected behavior from
> I-D.alvestrand-rmcat-remb be somehow defined in this document so that
> the reference is not needed?
> 

Thanks for the advice, I'll move the references as suggested. As to
REMB, other reviews addressed the same point and I plan to remove
references to that (which was originally added to address its extensive
usage in WebRTC) and replace the examples/discussions with similar
feedback, e.g., TMMBR.

Thanks!
Lorenzo

> 
> _______________________________________________
> straw mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/straw